Saltar al contenido principal

Historial del dominio

Devuelve el registro histórico de operaciones (como el registro y las modificaciones) realizadas sobre un nombre de PIVX concreto.

Punto de acceso

POST https://indexer.pivx.name/v1.0/history/richard.pivx

Parámetros de ruta

ParámetroTipoObligatorioDescripción
domain_namestringEl dominio de PIVX cuyo historial se consulta (por ejemplo, richard.pivx).

Cuerpo de la petición

El cuerpo de la petición debe ser un objeto JSON con los siguientes parámetros:

ParámetroTipoPor defectoDescripción
countintegerNingunoLimita el número máximo de elementos devueltos en una sola respuesta.
from_block_idintegerNingunoSolicita las entradas del historial a partir de esta altura de bloque.
orderstringdescOrden de clasificación del historial. Valores admitidos: asc o desc.

Ejemplos de código

curl -X POST https://indexer.pivx.name/v1.0/history/richard.pivx \
-H "Content-Type: application/json" \
-d '{
"count": 10,
"from_block_id": 5332579,
"order": "asc"
}'

Ejemplo de respuesta

{
"response": [
{
"domain_block_id": 3422326,
"target_address": "ps1f84lvgj0awz2yf2zha5d5gddhd4j88g0kzj5cwp776vhxp5fdjqe7e95cdx2qs5e7fcvg3ds3yg",
"owner_pubkey": "3757ee1a8b3f10353ca6edd47b66920392b02e323dca3f3edddb5de142079a53",
"domain_tx": "388241ffc5bf8ba3d7633d132298d157e26d6ac127ff8d162f26e7203084df08",
"op": "REG",
"nonce": 1784808228,
"price": 0
},
{
"domain_block_id": 3422369,
"target_address": "ps1f84lvgj0awz2yf2zha5d5gddhd4j88g0kzj5cwp776vhxp5fdjqe7e95cdx2qs5e7fcvg3ds3yg",
"owner_pubkey": "3757ee1a8b3f10353ca6edd47b66920392b02e323dca3f3edddb5de142079a53",
"domain_tx": "4d5419af400966616ba9325f78bb3cac2ff1229fd4d39ed022a9fc113ee4b67e",
"op": "LST",
"nonce": 1784812534,
"price": 200000
},
{
"domain_block_id": 3422421,
"target_address": "ps1yq6m9k7hn4wzp3gv5xun8kf0eq2dm3ay5r7vc6t9jl0sxh2pw8dz4knmg7uve3cqr6t5hxj9fda",
"owner_pubkey": "66a998241f62b4c8e4340f6e840b4570ac1d2d9840e2e42f62e713a34244f098",
"domain_tx": "3834eb36ca816f1bd9074c546ec64b3a361aca67e88c35b1586fe4ec1ae60095",
"op": "BUY",
"nonce": 1784815586,
"price": 0
},
{
"domain_block_id": 3423248,
"target_address": "ps1yq6m9k7hn4wzp3gv5xun8kf0eq2dm3ay5r7vc6t9jl0sxh2pw8dz4knmg7uve3cqr6t5hxj9fda",
"owner_pubkey": "66a998241f62b4c8e4340f6e840b4570ac1d2d9840e2e42f62e713a34244f098",
"domain_tx": "3c08640ed394b1a270abddcc3ca873c13793629c6a148ad0b5585003ca9e632a",
"op": "LST",
"nonce": 1784878114,
"price": 10012345678
},
{
"domain_block_id": 3423248,
"target_address": "ps1yq6m9k7hn4wzp3gv5xun8kf0eq2dm3ay5r7vc6t9jl0sxh2pw8dz4knmg7uve3cqr6t5hxj9fda",
"owner_pubkey": "66a998241f62b4c8e4340f6e840b4570ac1d2d9840e2e42f62e713a34244f098",
"domain_tx": "9ad75f893c002f21e9bbc3c6cdf4e151477293d64a013aa773db26598c1d5d11",
"op": "ULT",
"nonce": 1784878293,
"price": 0
}
]
}
CampoTipoDescripción
domain_block_idintEl block_id de PIVX de la operación
target_addressstringDirección de PIVX a la que resuelve
opstringOperación realizada sobre el nombre
owner_pubkeystringClave pública del titular del nombre
domain_txstringEl hash de la transacción de PIVX del registro del nombre
nonceintMarca de tiempo creciente de la operación
priceintPrecio de venta del dominio (para LST o BUY), en otro caso 0